import { NgModule } from '@angular/core';

import {
  MatButtonModule,
  MatMenuModule,
  MatToolbarModule,
  MatIconModule,
  MatCardModule,
  MatDividerModule,
  MatListModule,
  MatGridListModule,
  MatSnackBarModule,
  MatSidenavModule,
  MatChipsModule,
  MatStepperModule,
  MatFormFieldModule,
  MatInputModule,
  MatSlideToggleModule,
  MatSliderModule,
  MatCheckboxModule,
  MatAutocompleteModule,
  MatRadioModule
} from '@angular/material';

@NgModule({
  imports: [
    MatButtonModule,
    MatMenuModule,
    MatToolbarModule,
    MatIconModule,
    MatCardModule,
    MatDividerModule,
    MatListModule,
    MatIconModule,
    MatGridListModule,
    MatSnackBarModule,
    MatSidenavModule,
    MatChipsModule,
    MatStepperModule,
    MatFormFieldModule,
    MatInputModule,
    MatSlideToggleModule,
    MatSliderModule,
    MatCheckboxModule,
    MatMenuModule,
    MatAutocompleteModule,
    MatRadioModule,
    MatSnackBarModule
  ],
  exports: [
    MatButtonModule,
    MatMenuModule,
    MatToolbarModule,
    MatIconModule,
    MatCardModule,
    MatDividerModule,
    MatListModule,
    MatIconModule,
    MatGridListModule,
    MatSnackBarModule,
    MatSidenavModule,
    MatChipsModule,
    MatStepperModule,
    MatFormFieldModule,
    MatInputModule,
    MatSlideToggleModule,
    MatSliderModule,
    MatCheckboxModule,
    MatMenuModule,
    MatAutocompleteModule,
    MatRadioModule,
    MatSnackBarModule
  ]
})
export class MaterialModule {}
